<template>
  <v-app>
    <v-app-bar
      app
      color="secondary"
      dark
    >
      <v-app-bar-nav-icon class="d-flex d-sm-none" @click.stop="drawer = !drawer"></v-app-bar-nav-icon>

      <v-toolbar-title>
          <v-img src="./assets/images/Autoshop-Logo.png" width="100"/>
      </v-toolbar-title>
      <v-spacer></v-spacer>
      
      <v-toolbar-items class="d-none d-sm-flex">
        <v-btn flat to="/">
          Accueil
        </v-btn>
        <v-btn flat to="/boutique">
          boutique
        </v-btn>
        <v-btn flat to="/magazines">
          Magazines
        </v-btn>
        <v-btn flat to="/services">
          services
        </v-btn>
        <v-btn flat to="/vehicules">
          Vehicules
        </v-btn>
      </v-toolbar-items>
      <v-btn text to="/annonce/create">
        <v-icon>mdi-dots-vertical</v-icon>
      </v-btn>
    </v-app-bar>
    <v-navigation-drawer
      v-model="drawer"
      fixed
      bottom
      hide-overlay
    >
      <v-list
        nav
        dense
      >
        <v-list-item-group
          v-model="group"
          active-class="deep-purple--text text--accent-4"
        >
          <v-list-item to="/">
            <v-list-item-title>Accueil</v-list-item-title>
          </v-list-item>

          <v-list-item to="/vehicules">
            <v-list-item-title>Vehicules</v-list-item-title>
          </v-list-item>

          <v-list-item to="/magazines">
            <v-list-item-title>Magazines</v-list-item-title>
          </v-list-item>

          <v-list-item to="/boutique">
            <v-list-item-title>Boutiques</v-list-item-title>
          </v-list-item>

          <v-list-item to="/services">
            <v-list-item-title>Services</v-list-item-title>
          </v-list-item>
        </v-list-item-group>
      </v-list>
    </v-navigation-drawer>
    <v-main class="mt-4">
      <v-banner
        three-line
      >
      <v-img :src="$config.DEFAULT_URL + 'banniere/'+ currentBanniere"></v-img>
      </v-banner>
      <transition>
        <router-view/>
      </transition>
    </v-main>
    <v-footer
    color="secondary"
    padless
  >
    <v-row
      justify="center"
      no-gutters
    >
      
      <v-col
        class="primary lighten-2 py-4 text-center white--text"
        cols="12"
      >
        {{ new Date().getFullYear() }} — <strong>Autoshop</strong>
      </v-col>
    </v-row>
  </v-footer>
  </v-app>
</template>

<script>

export default {
  name: 'App',

  components: {

  },

  data: () => ({
    //
    drawer: false,
    group: null,
    path: null,
  }),
  computed: {
    currentBanniere(){
          
          const allBan = this.$store.getters['autoshop/bannieres'];


           if(allBan !== undefined || allBan !== null){

               console.log("hello"); 

               for(var i = 0; i < allBan.length; i++){

                  if(allBan[i].page ==="ACCUEIL"){

                    console.log(allBan[i].page);

                    return allBan[i].image;

                  }
             
              }

           }

        return "test";

    }
  },
  mounted(){
    this.thePath()
  },
  methods:{
    thePath(){
      let path = window.location.pathname
      path = path.replace('/','')
      this.path = path
    }
  },
  watch: {
    group () {
      this.drawer = false
    },
  },
};
</script>
